Macros | Functions
gr55xx_delay.h File Reference

PERIPHERAL API DELAY DRIVER. More...

`#include "gr55xx.h"`

Go to the source code of this file.

## Macros
#define | __STATIC_FORCEINLINE __STATIC_INLINE

## Functions
__STATIC_FORCEINLINE void | delay_us (uint32_t number_of_us)
| Function for delaying execution for number of microseconds. More...
__STATIC_FORCEINLINE void | delay_ms (uint32_t number_of_ms)
| Function for delaying execution for number of milliseconds. More...

## Detailed Description

PERIPHERAL API DELAY DRIVER.

Attention

  ##### Copyright (c) 2019 GOODIX

All rights reserved.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met: Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer. Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution. Neither the name of GOODIX nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL COPYRIGHT HOLDERS AND CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

## Macro Definition Documentation

## ◆ __STATIC_FORCEINLINE

#define __STATIC_FORCEINLINE __STATIC_INLINE

Static inline define

## Function Documentation

## ◆ delay_ms()

__STATIC_FORCEINLINE void delay_ms | ( | uint32_t | number_of_ms | ) |

Function for delaying execution for number of milliseconds.

Note
  GR55xx is based on ARM Cortex-M4, and this fuction is based on Data Watchpoint and Trace (DWT) unit so delay is precise.
  Function internally calls delay_us so the maximum delay is the same as in case of delay_us.

Parameters

  number_of_ms | The maximum delay time is about 67 seconds in 64M system clock. The faster the system clock, the shorter the maximum delay time.

## ◆ delay_us()

__STATIC_FORCEINLINE void delay_us | ( | uint32_t | number_of_us | ) |

Function for delaying execution for number of microseconds.

Note
  GR55xxx is based on ARM Cortex-M4, and this fuction is based on Data Watchpoint and Trace (DWT) unit so delay is precise.

Parameters

  number_of_us | The maximum delay time is about 67 seconds in 64M system clock. The faster the system clock, the shorter the maximum delay time.